Add-PSSnapin Microsoft.SharePoint.PowerShell ErrorAction SilentlyContinue
$siteurl = Read-Host "Enter Web Application URL"

$installed = [Microsoft.SharePoint.SPRegionalSettings]::GlobalInstalledLanguages 
$site = get-spsite $siteurl
foreach ($web in $site.allwebs){
$web.IsMultiLingual = 'True' 
$supportedCultures = $web.SupportedUICultures ;
foreach ($lang in $installed){
$cultureinfo = [System.Globalization.CultureInfo]::GetCultureInfo($lang.LCID); 
$exists = $supportedCultures | Where-Object{$_.LCID -eq $lang.LCID}
if ($exists -eq $null){
$web.AddSupportedUICulture($cultureinfo) 
Write-Host "Added" $cultureinfo.Name "to url" $web.Url
}
}
$web.Update()
}
Write-Host "Press any key to continue ..."
$x = $host.UI.RawUI.ReadKey("NoEcho,IncludeKeyDown")